Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ha.backend
Interface Sender

All Known Implementing Classes:
  MultiCastSender, TcpSender

    public interface Sender

Method Summary
`void` | `init(HeartbeatListener config)` Set the configuration parameters
`int` | `send(String mess)` Send the message to the proxies

Method Detail

### init

    void init(HeartbeatListener config)
              throws Exception

  Set the configuration parameters

  Throws:
    `Exception`

### send

    int send(String mess)
             throws Exception

  Send the message to the proxies

  Throws:
    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.